Summary:	An inotify based cron daemon
Name:		incron
Version:	0.5.12
Release:	%mkrel 6
Url:		https://github.com/ar-/incron
Source0:	https://github.com/ar-/incron/archive/%{version}/incron-%{version}.tar.gz
Source1:	incrond.service
Patch0001:	0001-fix-zombie-process.patch
Patch0002:	0002-Fixed-formatting-in-README.md.patch
Patch0003:	0003-Add-support-f-r-comment-lines-in-incron-tables-start.patch
Patch0004:	0004-Ignoring-backup-files-ending-with-a-tilde-in-system-.patch
Patch0005:	0005-Allow-building-on-FreeBSD.patch
Patch0006:	0006-Revert-Merge-pull-request-23-from-javitorl-master.patch
Patch0007:	0007-Rework-the-zombie-prevention.patch
Patch0008:	0008-stdlib.h-is-required-for-daemon-3.patch
Patch0100:	incron-0.5.10-includes.patch
Patch0101:	fork.patch
#
# https://github.com/ar-/incron/pull/56
Patch0202:      56.patch
#
License:	GPLv2
Group:		System/Servers
BuildRequires:	gcc-c++

%description
incron is an "inotify cron" system. It works like the regular cron but is
driven by filesystem events instead of time periods. It contains two
programs, a daemon called "incrond" (analogous to crond) and a table
manipulator "incrontab" (like "crontab").

%prep
%setup -q
%autopatch -p1

%build
%set_build_flags
%make_build PREFIX=%{_prefix} \
	CXXFLAGS="%{build_cxxflags} -std=gnu++14" LDFLAGS="%{ldflags}"

%install
#install files manually since source Makefile tries to do it as root
install -D -p incrond %{buildroot}%{_sbindir}/incrond
install -D -p -m 4755 incrontab %{buildroot}%{_bindir}/incrontab
install -d %{buildroot}%{_localstatedir}/spool/%{name}

# conf
install -d %{buildroot}%{_sysconfdir}/incron.d
install -Dpm644 incron.conf.example %{buildroot}%{_sysconfdir}/incron.conf

# systemd support
install -Dpm644 %{_sourcedir}/incrond.service %{buildroot}%{_unitdir}/incrond.service

# install manpages
make install-man MANPATH="%{buildroot}%{_mandir}" INSTALL="install -D -p"

# handle docs in files section
rm -rf %{buildroot}%{_docdir}

%post
%_post_service incrond

%preun
%_preun_service incrond

%files
%doc CHANGELOG README TODO
%doc doc/html
%doc incron.conf.example
%attr(4755,root,root) %{_bindir}/incrontab
%{_sbindir}/incrond
%{_var}/spool/incron/
%{_sysconfdir}/incron.d/
%config(noreplace) %{_sysconfdir}/incron.conf
%{_mandir}/man?/*
%{_unitdir}/incrond.service


%changelog
* Wed Nov 09 2022 ghibo <ghibo> 0.5.12-6.mga9
+ Revision: 1904973
- Fix building.
- Sync Patch0202 as in FC.
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Tue Feb 18 2020 umeabot <umeabot> 0.5.12-5.mga8
+ Revision: 1541326
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Mon Dec 23 2019 mokraemer <mokraemer> 0.5.12-4.mga8
+ Revision: 1469696
- adding patch file
- patching fork bug (mga#25130)

* Sun Sep 23 2018 umeabot <umeabot> 0.5.12-3.mga7
+ Revision: 1298296
- Mageia 7 Mass Rebuild

* Fri Jun 22 2018 wally <wally> 0.5.12-2.mga7
+ Revision: 1238774
- add fixes from upstream

* Fri Jun 22 2018 wally <wally> 0.5.12-1.mga7
+ Revision: 1238769
- new version 0.5.12
- new URL
+ kekepower <kekepower>
- Use make_build

* Fri Feb 05 2016 umeabot <umeabot> 0.5.10-4.mga6
+ Revision: 939709
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5.10-3.mga5
+ Revision: 740197
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.10-2.mga5
+ Revision: 680500
- Mageia 5 Mass Rebuild

* Sat Jul 12 2014 wally <wally> 0.5.10-1.mga5
+ Revision: 651425
- new version 0.5.10
- switch to systemd (service file from Fedora)
- remove unneeded patches and rediff includes patch (from Fedora)
- update license

* Fri Oct 18 2013 umeabot <umeabot> 0.5.9-5.mga4
+ Revision: 508374
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 luigiwalser <luigiwalser> 0.5.9-4.mga3
+ Revision: 361102
- include unistd.h to fix compilation error
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat May 14 2011 nanardon <nanardon> 0.5.9-2.mga1
+ Revision: 98665
- imported package incron


* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 0.5.9-2mdv2011.0
+ Revision: 619627
- the mass rebuild of 2010.0 packages

* Tue Jul 21 2009 Frederik Himpe <fhimpe@mandriva.org> 0.5.9-1mdv2010.0
+ Revision: 398242
- Adding patch (taken from Fedora) to fix build on x86_64
- Update to new version 0.5.9
- Fix includes for gcc 4.4

* Tue Jan 06 2009 Olivier Thauvin <nanardon@mandriva.org> 0.5.8-1mdv2009.1
+ Revision: 325184
- 0.5.8

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Sep 05 2007 Olivier Thauvin <nanardon@mandriva.org> 0.5.7-1mdv2008.0
+ Revision: 80407
- 0.5.7

* Sat May 19 2007 Olivier Thauvin <nanardon@mandriva.org> 0.5.6-1mdv2008.0
+ Revision: 28534
- 0.5.6


* Wed Feb 14 2007 Olivier Thauvin <nanardon@mandriva.org> 0.5.5-1mdv2007.0
+ Revision: 121191
- 0.5.5

* Wed Feb 14 2007 Olivier Thauvin <nanardon@mandriva.org> 0.5.4-1mdv2007.1
+ Revision: 120669
- 0.5.4

* Fri Feb 09 2007 Olivier Thauvin <nanardon@mandriva.org> 0.5.3-2mdv2007.1
+ Revision: 118629
- add an initscript

* Fri Feb 09 2007 Olivier Thauvin <nanardon@mandriva.org> 0.5.3-1mdv2007.1
+ Revision: 118282
- initial mdv package
- Create incron

